petsc-3.4.2 2013-07-02

# DMPlexVecSetClosure

Set an array of the values on the closure of 'point'

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexVecSetClosure(DM dm, PetscSection section, Vec v, PetscInt point, const PetscScalar values[], InsertMode mode)

Not collective

### Input Parameters

| dm | - The DM
| section | - The section describing the layout in v, or NULL to use the default section
| v | - The local vector
| point | - The sieve point in the DM
| values | - The array of values
| mode | - The insert mode, where INSERT_ALL_VALUES and ADD_ALL_VALUES also overwrite boundary conditions

### Fortran Notes

This routine is only available in Fortran 90, and you must include petsc.h90 in your code.

### See Also

DMPlexVecGetClosure(), DMPlexMatSetClosure()

Level:intermediate
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex52.c.html
src/snes/examples/tutorials/ex62.c.html